Name:           httpcomponents-client4.3
Version:        4.3.6
Release:        1.maven%{?dist}
Summary:        HTTP agent implementation based on httpcomponents HttpCore

License:        ASL 2.0
URL:            http://hc.apache.org/
Source0:        http://repo.maven.apache.org/maven2/org/apache/httpcomponents/httpclient/4.3.6/httpclient-4.3.6.jar
Source1:        http://repo.maven.apache.org/maven2/org/apache/httpcomponents/httpclient/4.3.6/httpclient-4.3.6.pom

BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.httpcomponents:project:pom:)
Requires:       mvn(org.apache.httpcomponents:httpcore:4.3)

%description
HttpClient is a HTTP/1.1 compliant HTTP agent implementation based on
httpcomponents HttpCore. It also provides reusable components for client-side
authentication, HTTP state management, and HTTP connection management.
HttpComponents Client is a successor of and replacement for Commons HttpClient
3.x. Users of Commons HttpClient are strongly encouraged to upgrade.

This is a compatibility package for version 4.3.x.


%prep
%setup -q -c -n %{name}-%{version}

cp -vp %{SOURCE1} pom.xml

%pom_remove_dep org.apache.httpcomponents:httpcore
%pom_add_dep org.apache.httpcomponents:httpcore:4.3

%mvn_compat_version org.apache.httpcomponents:httpclient 4.3
%mvn_artifact pom.xml %{SOURCE0}


%build


%install
%mvn_install


%files -f .mfiles
%license META-INF/LICENSE META-INF/NOTICE
%dir %{_javadir}/%{name}/


%changelog
* Mon Sep 05 2016 František Dvořák <valtri@civ.zcu.cz> - 4.3.6-1.maven
- Initial package
